library(ape)
library(paran)
library(rncl)
library(splits)

##GMYC ver2.0##-----
library(ape)
library(splits)
symbrenthiatree <- read.nexus("Symbrenthia.nexus")

#Force bifurcating
co1_tree <- multi2di(co1tree)
phyco1_tree <- multi2di(phyco1tree)
Sym_tree <- multi2di(symbrenthiatree)
plot(Sym_tree)

##Chronos##
co1calibration <- makeChronosCalib(Sym_tree, node = "root", age.max = 2)
co1ttree <- chronos(Sym_tree, lambda = 1, model = "relaxed", calibration = co1calibration, control = chronos.control())
phyco1calibration <- makeChronosCalib(phyco1_tree, node = "root", age.max = 60)
phyco1ttree <- chronos(phyco1_tree, lambda = 1, model = "relaxed", calibration = co1calibration, control = chronos.control())

is.binary.tree(Sym_tree) #check that the tree is strictly bifurcating
is.ultrametric(co1ttree) #check that the tree is ultrametric
plot(co1ttree)

COI_tree <- co1ttree

COI_gmyc <- gmyc(COI_tree, method = "multiple")
plot(COI_gmyc)

